Subject: bug#69291: closed (Re: [bug#69291] [PATCH 5/5] scripts: substitute: Extract script specific output from download-nar.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 21 Apr 2024 11:26:03 +0000

Your bug report

#69291: [PATCH 0/5] Start making substitute code less coupled

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69291: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69291
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#69291] [PATCH 5/5] scripts: substitute: Extract script specific output from download-nar.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Sun, 21 Apr 2024 12:24:56 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Christopher Baines <[email-masked]> writes:

> Ludovic Courtès <[email-masked]> writes:
>
>> Christopher Baines <[email-masked]> skribis:
>>
>>> As this moves download-nar in a direction where it could be used outside the
>>> substitute script.
>>>
>>> * guix/scripts/substitute.scm (download-nar): Return more information and move
>>> status-port output to…
>>> (guix-substitute): here.
>>>
>>> Change-Id: Icbddb9a47620b3520cdd2e8095f37a99824c1ce0
>>
>> LGTM.
>
> Looking at this patch some more, I missed the failure case in
> process-substitution/fallback, so I'll send an updated patch (for this
> and the previous patch).

I've sent a couple of updated patches as part of the series to
https://issues.guix.gnu.org/70494

Subject: [PATCH 0/5] Start making substitute code less coupled
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Tue, 20 Feb 2024 19:05:07 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

These changes should help with using the substitute code in a Guile
implementation of the Guix daemon.

Christopher Baines (5):
  scripts: substitute: Remove side effect warning from network-error?.
  scripts: substitute: Allow not using with-timeout in download-nar.
  scripts: substitute: Replace some leave calls with raise.
  scripts: substitute: Untangle selecting fast vs small compressions.
  scripts: substitute: Extract script specific output from download-nar.

 guix/scripts/substitute.scm | 207 +++++++++++++++++++++---------------
 1 file changed, 123 insertions(+), 84 deletions(-)

base-commit: 3d061d9677027be7651f8e5a3a02e19daacd9a85
-- 
2.41.0